from typing import Any

from simplylab.model.entity import Context
from simplylab.providers import Providers
from simplylab.services.chat import ChatService


class Services:
    def __init__(self, context: Context, providers: Providers):
        self.ctx = context
        self.pvd = providers

    @property
    def chat(self):
        return ChatService(self.ctx, self.pvd)
